Skip to main content

Visitor Aggregate

Aggregate visitor stats for your handle page (visitors, pageviews, bounce rate, visit duration, visits) with % change vs previous period. Premium only.

GET
/visitors/aggregate
x-api-key<token>

API key used for authentication

In: header

Query Parameters

period?string

Time window. Presets: today, yesterday, last24h, last7d, last30d, last90d, wtd, month. Custom: custom:YYYY-MM-DD:YYYY-MM-DD

Default"last30d"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/visitors/aggregate"
{
  "visitors": {
    "value": 1200,
    "change": 15
  },
  "pageviews": {
    "value": 3400,
    "change": 12
  },
  "bounce_rate": {
    "value": 42,
    "change": -5
  },
  "visit_duration": {
    "value": 92,
    "change": 3
  },
  "visits": {
    "value": 1500,
    "change": 10
  }
}
{
  "error": "string",
  "code": "string",
  "details": {}
}